extends Node3D


func _ready() -> void:
	for child in get_children():
		var anim := child.get_node_or_null(^"AnimationPlayer") as AnimationPlayer
		if anim:
			anim.speed_scale = randf_range(0.5, 1.5)
			anim.play(&"ArmatureAction")
